<template>
  <b-row id="header" tag="section" class="header px-3 px-sm-5 py-5">

    <b-col sm="5" lg="6" class="header__logo py-3 py-md-5">
      <img src="~/assets/hackathon-usp.svg" class="w-100">
    </b-col>

    <b-col sm="7" lg="6" class="header__text py-3 py-md-5">
      <h1 class="text-center text-md-left pb-3 w-100">
        HackathonUSP 2018
      </h1>

      <p class="lead text-center text-md-left w-100">
        Aplicando <strong>ciência de dados</strong> para melhorar
        <span class="text-md-nowrap">o dia a dia universitário</span>
      </p>

      <p class="text-center text-md-left w-100">
        9 e 10 de junho de 2018
      </p>

      <p class="text-center text-md-left w-100">
        Instituto de Matemática e Estatística da USP
      </p>

      <div class="d-flex justify-content-center justify-content-md-start
                  w-100 pt-3">
        <b-btn v-if="subs" variant="light" class="mr-2"
               href="http://uclab.xyz/hack-subscribe">
          Inscreva-se!
        </b-btn>
        <b-btn v-if="subs" variant="outline-light" class="ml-2"
               href="http://uclab.xyz/hack-rules">
          Regulamento
        </b-btn>
      </div>
    </b-col>

  </b-row>
</template>

<script>
export default {
  props: {
    subs: {
      type: Boolean,
      required: true
    }
  }
};
</script>

<style lang="scss">
.header {
  min-height: calc(100vh - #{$navbar-height});

  color: theme-color("light");
  background-image: linear-gradient(#ff2a49, theme-color("primary"));

  h1 {
    font-family: Montserrat, sans;
    font-weight: 600;
  }

  &__logo {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;

    img {
      max-height: 40vh;
      max-width: 40vh;
      border-radius: 15%;
      background-color: theme-color("light");
    }
  }

  &__text {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;

    h1 {
      font-family: Montserrat, sans;
      font-weight: 600;
    }

    p.lead strong {
      font-weight: bold;
    }
  }
}

@include media-breakpoint-up(md) {
  .header__logo {
    order: 2;
    justify-content: center;

    &__img {
      min-width: 0;
      width: 90%;
    }
  }

  .header__text {
    order: 1;
    align-items: left;
    justify-content: center;
  }
}
</style>
